dist
.mypy_cache
annotations.egg-info/
+.pybuild/
+debian/.debhelper/
+debian/annotations.postinst.debhelper
+debian/annotations.prerm.debhelper
+debian/annotations.substvars
+debian/annotations/
+debian/debhelper-build-stamp
+debian/files
--- /dev/null
+#!/bin/bash
+#
+# Automatically create a deb from the git repository
+#
+# Requirements:
+# - apt install git-buildpackage
+
+if [ ! -d .git ]; then
+ echo "error: must be ran from a git repository"
+ exit 1
+fi
+
+# Create upsteam tag
+deb_tag=$(dpkg-parsechangelog -S version | cut -d- -f1)
+git tag upstream/${deb_tag}
+
+gbp buildpackage --git-ignore-branch $*
+
+# Undo packaging changes
+git tag -d upstream/${deb_tag}
--- /dev/null
+annotations (0.1-1) unstable; urgency=medium
+
+ * Initial packaging.
+
+ -- Andrea Righi <andrea.righi@canonical.com> Thu, 15 Jun 2023 17:18:40 +0200
--- /dev/null
+Source: annotations
+Section: misc
+Priority: optional
+Maintainer: Andrea Righi <andrea.righi@canonical.com>
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 11), dh-python, python3, python3-setuptools
+Homepage: https://git.launchpad.net/~arighi/+git/annotations-tools
+Vcs-Git: https://git.launchpad.net/~arighi/+git/annotations-tools
+
+Package: annotations
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Description: Manage Ubuntu kernel .config'
+ Store all the kernel .config information into a file called "annotations"
+ that contains all the Kconfig options for each supported architecture and
+ flavour. This works only with Ubuntu kernels at the moment.
--- /dev/null
+#!/usr/bin/make -f
+
+%:
+ dh $@ --with python3 --buildsystem=pybuild
--- /dev/null
+3.0 (quilt)